/**************************************************************************
    Souliss - Bridge for Expressif ESP8266 To RFM69
    
    Load this code on Pro mini board using the porting of the Arduino core
    for this platform.
        
***************************************************************************/

// Let the IDE point to the Souliss framework
#include "SoulissFramework.h"

// Configuration options
#include "bconf/Moteino.h" 

#include "Souliss.h"
#include "Typicals.h"
#include <SPI.h>

#define MYLEDLOGIC     0
#define  OUTPUTPIN     9


//*******************************************************
// setup, called once on startup
//*******************************************************
void setup() {
    Initialize();
   // Serial.begin(19200);

    // Setup the network configuration
    SetAddress(0x6502, 0xFF00, 0x6501);

    Set_SimpleLight(MYLEDLOGIC);        // Define a simple LED light logic
    
    pinMode(OUTPUTPIN, OUTPUT);         // Use pin as output
 
}

//*******************************************************
// main loop
//*******************************************************
void loop()
{
    // The Souliss methods are scheduled in phases, this allow load
    // balance and proper timing.

    EXECUTEFAST() {                     
        UPDATEFAST();  

      FAST_50ms() {   // We process the logic and relevant input and output every 50 milliseconds
      Logic_SimpleLight(MYLEDLOGIC);
      DigOut(OUTPUTPIN, Souliss_T1n_Coil, MYLEDLOGIC);
    }

        // Here we process all communication
        FAST_PeerComms();
    }
}

